Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 20858 - imap hangs on some letters
imap hangs on some letters
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Dale Lovelace
:
: 40855 41292 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-14 13:26 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 05:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:094 high SHIPPED_LIVE : Updated UW imap packages available (imap/pop3/imaps/pop3s) 2001-07-06 00:00:00 EDT

  None (edit)
Description Need Real Name 2000-11-14 13:26:28 EST
imapd (when used with mbox format)
hangs on some messages.
The message is an e-mail with uuencode attached,
so no special symbols there.
The server reads about 35-50 % of the message 
and then just hangs. Nothing happend after this.
This happens both with imap 4.7c2 and imap 2000.
A message which hangs imapd is available upon request (about 1.5Mb).
Comment 1 Need Real Name 2001-01-09 11:19:52 EST
There were two problem which caused this hang.

1. Bug in imapd, it did not handle \000 symbols in a message well.
   I contacted Mark Crispin and he fixed this bug.
   This bug is fixed as of Jan 9, 2000. This imap version should handle \000 OK
ftp://ftp.cac.washington.edu/mail/imap-2000b.BETA.tar.Z
so an upgrade of IMAP should fix the problem.

2. Bug in Netscape which is posted at
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=23658
Netscape messanger can not handle \000 symbols in a message body.
This bug need to be fixed beacuse it probably has some security implications.
Comment 2 Mike A. Harris 2001-05-18 02:40:20 EDT
I have just updated imap-2000 to imap-2000c, and it appears to fix
this problem.  I've tested it out a bit, but would like to get you to
test it as well.  I have put up packages on:

ftp://people.redhat.com/mharris/testing    for you to test.  Please
update the bug report with your results after you get a chance to
try it out.  I will be releasing an errata I believe shortly for this
problem and some others that have been reported.
Comment 3 Mike A. Harris 2001-05-18 03:15:16 EDT
Oh, I didn't mention anything about Netscape...

Netscape is closed source software, to which we do not have the source code.
We are not able to fix any bugs in Netscape, so if it crashes, etc.. or has
any security bugs, we cannot do anything until a new version of Netscape
is made available from AOL with the fixes.  It is possible, albeit unknown
if our latest Netscape errata fixes this problem.  Please upgrade to 4.77 if
you havent already.

Thanks.
Comment 4 Mike A. Harris 2001-05-18 20:14:53 EDT
*** Bug 40855 has been marked as a duplicate of this bug. ***
Comment 5 Mike A. Harris 2001-05-18 20:17:55 EDT
*** Bug 41292 has been marked as a duplicate of this bug. ***
Comment 6 Matthew Galgoci 2001-05-18 21:14:52 EDT
Mike,

The imap 2000c packages indeed appear to fix the problem, but nutscrape appears
to still barf when attempting to copy the message locally.

The test message I used appears to work fine with 2000c.

I think that the imap 2000 issues are resolved.

--Matt
Comment 7 Matthew Galgoci 2001-05-18 21:15:52 EDT
Make sure you let netscape know about the issue with nulls in 4.7x
Comment 8 Matthew Galgoci 2001-05-18 21:18:49 EDT
mozilla appears to choke on this.
Comment 9 Need Real Name 2001-05-18 21:45:09 EDT
I tested imap on letters with \0 symbols using pine-4.33-7

imap-2000-3 hangs on letters with \0
imap-2000c-0.2 works OK on letters with \0

netscape-communicator-4.77-1 
does not work well with \0 symbols (I sent a report to netscape
about 4 months ago - no any response)
I did not test mozilla.

Comment 10 Mike A. Harris 2001-06-20 05:12:58 EDT
Fixed in imap-2000c-7 to be released as errata RSN.

Note You need to log in before you can comment on or make changes to this bug.